Warning: include(/home/bhost1/public_html/blog/wp-content/plugins/wp-super-cache/wp-cache-base.php): failed to open stream: No such file or directory in /home02/bhost1/public_html/blog/wp-content/plugins/wp-super-cache/wp-cache.php on line 65

Warning: include(/home/bhost1/public_html/blog/wp-content/plugins/wp-super-cache/wp-cache-base.php): failed to open stream: No such file or directory in /home02/bhost1/public_html/blog/wp-content/plugins/wp-super-cache/wp-cache.php on line 65

Warning: include(): Failed opening '/home/bhost1/public_html/blog/wp-content/plugins/wp-super-cache/wp-cache-base.php' for inclusion (include_path='.:/opt/cpanel/ea-php70/root/usr/share/pear') in /home02/bhost1/public_html/blog/wp-content/plugins/wp-super-cache/wp-cache.php on line 65

Warning: include_once(/home/bhost1/public_html/blog/wp-content/plugins/wp-super-cache/ossdl-cdn.php): failed to open stream: No such file or directory in /home02/bhost1/public_html/blog/wp-content/plugins/wp-super-cache/wp-cache.php on line 82

Warning: include_once(): Failed opening '/home/bhost1/public_html/blog/wp-content/plugins/wp-super-cache/ossdl-cdn.php' for inclusion (include_path='.:/opt/cpanel/ea-php70/root/usr/share/pear') in /home02/bhost1/public_html/blog/wp-content/plugins/wp-super-cache/wp-cache.php on line 82
Atentie ! Migrarea de la extensia MySQL la MySQLi sau PDO mai mult decat necesara « BrainHost Blog

Atentie ! Migrarea de la extensia MySQL la MySQLi sau PDO mai mult decat necesara

Incepand cu versiunea PHP 5.5.0 extensia MySQL originala cu functii este declarata invechita (deprecated)

Pentru versiunile pana in 5.5.0, PHP are trei moduri diferite de conectare la bazele de date MySQL:

–       extensia MySQL originala, cu functii

–       MySQL Improved (MySQLi, obiect orientat)

–       PHP Data Object (PDO, obiect orientat)

Extensia MySQL originala va fi scoasa de la versiunea PHP 5.5.0

Trimitem pe aceasta cale un avertisment programatorilor web de a migra siteurile pe care le administreaza in MySQLi sau PDO

Update-ul serverelor de hosting la versiunea PHP 5.5.0 o sa fie mai mult decat necesara in cateva luni pentru a evita exploatarea vulnerabilitatilor.

Va recomandam sa va faceti modificarile necesare la site-uri din timp, pentru a nu avea surpriza ca intr-o zi sa le gasiti nefunctionale.

 

Linkuri ajutatoare:

Ce functii dispar incepand cu versiunea PHP 5.5.x gasiti aici: http://www.php.net/manual/ro/migration55.deprecated.php

Migrarea de la MySQL la MySQLi sau PDO: http://wiki.hashphp.org/PDO_Tutorial_for_MySQL_Developers

 

Leave a Reply

Your email address will not be published. Required fields are marked *

*